<div style="margin-bottom: 15px;">
    <p-dataTable [value]="stockOpnameItems" [editable]="true" [rows]="itemsPerPage" [paginator]="true" [pageLinks]="5" [rowsPerPageOptions]="[10,15,20]"
        [totalRecords]="totalItems" [responsive]="true" [lazy]="true" [(first)]="first" row="itemsPerPage" totalRecords="totalItems"
        rowHover="true" dataKey="idStockopnameItem" (onLazyLoad)="loadDataLazy($event)" (onEditComplete)="updateRowData($event)">
        <!-- <p-header>
            <ul class="nav justify-content-end">
                <li class="nav-item">
                    <a class="btn" [routerLink]="['/', { outlets: { popup: ['stock-opname-item-popup-new-list', idStockOpname] } }]">
                        <i class="fa fa-plus"></i> &nbsp;{{ 'entity.action.add' | translate }}</a>
                </li>
            </ul>
        </p-header> -->
        <p-column header="{{'global.field.sequence'|translate}}" [style]="{'width': '70px', 'text-align': 'center'}">
            <ng-template let-rowIndex="rowIndex" pTemplate="body"> {{rowIndex + 1}} </ng-template>
        </p-column>
        <p-column header="{{'mpmApp.stockOpnameItem.tagNumber'|translate}}" field="tagNumber" [editable]="true"> </p-column>
        <p-column header="{{'mpmApp.stockOpnameItem.product'|translate}}" *ngIf="idProduct === undefined">
            <ng-template let-rowData="rowData" pTemplate="body">
                <div *ngIf="rowData.productId">
                    <a [routerLink]="['../product', rowData.productId  ]">{{rowData.productName}}</a>
                </div>
            </ng-template>
        </p-column>
        <!-- Part Number -->
        <p-column header="{{'mpmApp.stockOpnameItem.itemDescription'|translate}}" field="itemDescription" [editable]="true">
        </p-column>
        <!-- Part Name -->
        <p-column header="{{'mpmApp.stockOpnameItem.container'|translate}}" *ngIf="idContainer === undefined">
            <ng-template let-rowData="rowData" pTemplate="body">
                <div *ngIf="rowData.containerId">
                    <a [routerLink]="['../container', rowData.containerId  ]">{{rowData.containerId}}</a>
                </div>
            </ng-template>
        </p-column>
        <!-- Rak -->
        <p-column *ngIf="statusOpname == 121 || statusOpname == 122" header="{{'mpmApp.stockOpnameItem.qty'|translate}}" [style]="{'width': '100px', 'text-align': 'right'}">
            <ng-template let-rowData="rowData" pTemplate="body"> {{rowData.qty | number}} </ng-template>
            <ng-template let-col let-rowData="rowData" pTemplate="editor">
                <input currencyMask [(ngModel)]="rowData.qty" [options]="{ prefix: '', thousands: '.', decimal: ',', precision: '0' }" /> </ng-template>
        </p-column>
        <!-- Qty System -->
        <p-column *ngIf="statusOpname == 120 || statusOpname == 121 || statusOpname == 122" header="{{'mpmApp.stockOpnameItem.qtyCount'|translate}}"
            [style]="{'width': '100px', 'text-align': 'right'}">
            <ng-template let-rowData="rowData" pTemplate="body"> {{rowData.qtyCount | number}} </ng-template>
            <ng-template let-col let-rowData="rowData" pTemplate="editor">
                <input currencyMask [(ngModel)]="rowData.qtyCount" [options]="{ prefix: '', thousands: '.', decimal: ',', precision: '0' }"
                /> </ng-template>
        </p-column>
        <!-- Qty Stock -->
        <p-column *ngIf="statusOpname == 61" header="{{'mpmApp.stockOpnameItem.qtyAdj'|translate}}" [style]="{'width': '100px', 'text-align': 'right'}">
            <ng-template let-rowData="rowData" pTemplate="body"> {{rowData.qtyCount | number}} </ng-template>
            <ng-template let-col let-rowData="rowData" pTemplate="editor">
                <input currencyMask [(ngModel)]="rowData.qtyAdj" [options]="{ prefix: '', thousands: '.', decimal: ',', precision: '0' }"
                /> </ng-template>
        </p-column>
        <!-- Qty Adj -->
        <!-- <p-column header="{{'mpmApp.stockOpnameItem.hasChecked'|translate}}" [style]="{'width': '60px', 'text-align': 'center'}">>
            <ng-template let-rowData="rowData" pTemplate="body">
                <i [hidden]="!rowData.hasChecked" class="fa fa-check"></i>
            </ng-template>
            <ng-template let-col let-rowData="rowData" pTemplate="editor">
                <p-checkbox [(ngModel)]="rowData.hasChecked" binary="true"></p-checkbox>
            </ng-template>
        </p-column> -->
        <p-column *ngIf="statusOpname == 121 || statusOpname == 122" header="{{'mpmApp.stockOpnameItem.diff'|translate}}" field="diff"
            [editable]="true"> </p-column>
        <!-- Selisih -->
        <p-column *ngIf="statusOpname == 121 || statusOpname == 122" header="{{'mpmApp.stockOpnameItem.het'|translate}}" [style]="{'width': '120px', 'text-align': 'right'}">
            <ng-template let-rowData="rowData" pTemplate="body"> {{rowData.het | number}} </ng-template>
            <ng-template let-col let-rowData="rowData" pTemplate="editor">
                <input currencyMask [(ngModel)]="rowData.het" [options]="{ prefix: '', thousands: '.', decimal: ',', precision: '0' }" /> </ng-template>
        </p-column>
        <p-column *ngIf="statusOpname == 121 || statusOpname == 122" header="{{'mpmApp.stockOpnameItem.diffAmount'|translate}}" field="diffAmount"
            [editable]="true"> </p-column>
        <!-- Selisih Amount -->
        <!-- <p-column header="{{'mpmApp.stockOpnameItem.owner'|translate}}" *ngIf="idStockOpname === undefined">
            <ng-template let-rowData="rowData" pTemplate="body">
                <div *ngIf="rowData.ownerId">
                    <a [routerLink]="['../stock-opname', rowData.ownerId  ]">{{rowData.ownerId}}</a>
                </div>
            </ng-template>
        </p-column> -->
        <p-column header="{{'mpmApp.stockOpnameItem.unit'|translate}}" field="unit" [editable]="true"> </p-column>
        <!-- Satuan -->
        <!-- <p-column header="{{'global.field.action'|translate}}" [style]="{'width': '100px', 'text-align': 'center'}">
            <ng-template let-rowData="rowData" pTemplate="body">
                <button pButton type="button" [routerLink]="['/', { outlets: { popup: 'stock-opname-item/'+ rowData.idStockopnameItem + '/edit'} }]"
                    replaceUrl="true" icon="fa-pencil" class="flat-button"> </button>
                <button pButton type="button" (click)="delete(rowData.idStockopnameItem)" icon="fa-remove" class="flat-button">
                </button>
            </ng-template>
        </p-column> --></p-dataTable>
</div>
